.btn {
    border-radius: 7px;
}

.form-control {
    border-radius: 7px;
}


.card-redondeado{
    border-radius: 15px;
    overflow: hidden;
    border: none;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08)
}


.badge-container{
    background: #e9ecef;
    border-radius: 10px;
    height: 16px;
    width: 100%;
    position: relative;
    overflow: hidden;
}

.badge-container-sm {
    background: #e9ecef;
    border-radius: 7px;
    height: 12px;
    width: 100%;
    position: relative;
    overflow: hidden;
}

.badge-text-sm {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 10px;
    font-weight: 600;
}


/**  =====================
      Authentication css start
==========================  **/
.auth-main {
    position: relative;
    background-size: cover;
}

.auth-main .auth-wrapper {
    height: 100%;
    width: 100%;
    min-height: 100vh;
}

.auth-main .auth-wrapper .saprator {
    position: relative;
    display: flex;
    align-self: center;
    justify-content: center;
}

.auth-main .auth-wrapper .saprator:after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--bs-border-color);
    z-index: 1;
}

.auth-main .auth-wrapper .saprator span {
    font-size: 0.875rem;
    padding: 8px 24px;
    background: var(--bs-card-bg);
    z-index: 5;
    text-transform: capitalize;
    color: var(--pc-heading-color);
    font-weight: 500;
}

.auth-main .auth-wrapper .auth-form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
}

.auth-main .auth-wrapper .auth-form .card {
    width: 350px;
    max-width: 100%;
}

.auth-main .auth-wrapper .auth-form img+span {
    padding-left: 10px;
}

.auth-main .auth-wrapper .auth-form h5 span,
.auth-main .auth-wrapper .auth-form .h5 span {
    text-decoration: underline;
}

.auth-main .auth-wrapper.v1 {
    display: flex;
    align-items: center;
}

.auth-main .auth-wrapper.v1 .auth-form {
    flex-direction: column;
    background: var(--bs-card-bg);
    min-height: 100vh;
    padding: 24px;
    position: relative;
    justify-content: center;
}

.auth-main .auth-wrapper.v1 .auth-form .card-body {
    padding: 40px;
}

@media (max-width: 575.98px) {
    .auth-main .auth-wrapper.v1 .auth-form .card-body {
        padding: var(--bs-card-spacer-y) var(--bs-card-spacer-x);
    }
}

.auth-main .auth-wrapper.v1 .auth-bg .r {
    position: absolute;
    width: 300px;
    height: 300px;
    border-radius: 50%;
}

.auth-main .auth-wrapper.v1 .auth-bg .r:first-child {
    top: -100px;
    right: -100px;
    background: linear-gradient(-135deg, #1de9b6 0%, #1dc4e9 100%);
}

.auth-main .auth-wrapper.v1 .auth-bg .r:last-child {
    left: -100px;
    bottom: -100px;
    background: linear-gradient(-135deg, #899FD4 0%, #A389D4 100%);
}

.auth-main .auth-wrapper.v1 .auth-bg .r.s {
    width: 20px;
    height: 20px;
}

.auth-main .auth-wrapper.v1 .auth-bg .r.s:nth-child(2) {
    top: 150px;
    right: -150px;
    background: #04a9f5;
}

.auth-main .auth-wrapper.v1 .auth-bg .r.s:nth-child(3) {
    left: -150px;
    bottom: 150px;
    background: #1de9b6;
}

.auth-main .auth-wrapper.v1 .auth-bg .r:nth-child(odd) {
    animation: floating 7s infinite;
}

.auth-main .auth-wrapper.v1 .auth-bg .r:nth-child(even) {
    animation: floating 9s infinite;
}

.auth-main .auth-wrapper.v2 {
    display: flex;
    align-items: center;
}

.auth-main .auth-wrapper.v2 .auth-sidecontent {
    flex-grow: 1;
}

@media (max-width: 1199.98px) {
    .auth-main .auth-wrapper.v2 .auth-sidecontent {
        display: none;
    }
}

.auth-main .auth-wrapper.v2 .auth-form {
    flex-grow: 0;
    min-height: 100vh;
    background: #fff;
    padding: 20px;
}

.auth-main .auth-wrapper.v2 .auth-form .card {
    border: none;
    box-shadow: none;
}

.auth-main .auth-wrapper.v3 {
    display: flex;
    align-items: center;
}

.auth-main .auth-wrapper.v3 .auth-form .card {
    border: none;
    box-shadow: none;
    background: transparent;
}

.auth-main .auth-wrapper.v4 {
    display: flex;
    align-items: center;
}

.auth-main .auth-wrapper.v4 .auth-form .card {
    width: 750px;
    max-width: 100%;
}

.auth-main .auth-wrapper.v4 .auth-form .card .card-body {
    padding: 40px;
}

@media (max-width: 575.98px) {
    .auth-main .auth-wrapper.v4 .auth-form .card .card-body {
        padding: var(--bs-card-spacer-y) var(--bs-card-spacer-x);
    }
}

.auth-main .auth-wrapper.v5 {
    display: flex;
    align-items: center;
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
}

.auth-option .auth-megaoption {
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 180px;
    border: 1px solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
}

.auth-option .auth-megaoption svg {
    width: 48px;
    height: 48px;
    margin-bottom: 10px;
}

.auth-option .btn-check:checked+.auth-megaoption {
    border-color: var(--bs-primary);
    background: var(--bs-primary-light);
    box-shadow: 0 0 0 1px var(--bs-primary), 0px 8px 24px rgba(27, 46, 94, 0.12);
}

.auth-option .btn-check:checked+.auth-megaoption svg,
.auth-option .btn-check:checked+.auth-megaoption span {
    color: var(--bs-primary);
}

@keyframes floating {
    from {
        transform: rotate(0deg) translate(-10px) rotate(0deg);
    }

    to {
        transform: rotate(360deg) translate(-10px) rotate(-360deg);
    }
}